
// AjNetSdkDemoDlg.h : ͷļ
//

#pragma once
#include "afxwin.h"
#include "afxcmn.h"
#include "PlayerManager.h"
#include "DlgPtz.h"
#include "VoiceDlg.h"
#include "DlgUpgrade.h"

//Զṹ
typedef struct _StateEventParam
{
	LONG nStateCode;
	char pResponse[2048*200];
}StateEventParam;
// CAjNetSdkDemoDlg Ի
class CAjNetSdkDemoDlg : public CDialogEx
{
// 
public:
	CAjNetSdkDemoDlg(CWnd* pParent = NULL);	// ׼캯

// Ի
	enum { IDD = IDD_AJNETSDKDEMO_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ֧


// ʵ
protected:
	HICON m_hIcon;

	// ɵϢӳ亯
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnDestroy();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnNMDblclkTreeDev(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedBtnSelectall();
	afx_msg void OnBnClickedBtnSearch();
	afx_msg void OnBnClickedBtnAdddev();
	afx_msg void OnBnClickedBtnModifydev();
	afx_msg void OnBnClickedBtnClearalarmlist();
	afx_msg void OnCbnSelchangeComboWndlist();
	afx_msg LRESULT OnPostStatusEvent(WPARAM wp, LPARAM lp);
	afx_msg LRESULT OnPostAuxEvent(WPARAM wp, LPARAM lp);
	afx_msg LRESULT OnDevicePlay(WPARAM wp, LPARAM lp);
	afx_msg LRESULT OnDeviceStopPlay(WPARAM wp, LPARAM lp);
	afx_msg LRESULT OnDeviceStopAllPlay(WPARAM wp, LPARAM lp);
	afx_msg void OnBnClickedBtnSnapshot();
	afx_msg void OnBnClickedBtnAudio();
	afx_msg void OnBnClickedBtnTalk();
	afx_msg void OnNMRClickTreeDev(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnPreAllDevice();
	afx_msg void OnCbnSelchangeComboDlgList();
	DECLARE_MESSAGE_MAP()
private:
	//ʼ
	void InitInterface();
	//ʼSDK;
	void InitSDK();
	//ص
	static LONG __stdcall fStatusEventCallBack(LONG lUser, LONG nStateCode, char *pResponse, void *pUser);
	static LONG __stdcall fAUXResponseCallBack(LONG lUser, LONG nType, char *pResponse, void *pUser);
	static LONG __stdcall fAjSearchIPCCallBackFunc(LONG nEventCode, LONG index, IPC_ENTRY_AJ *pResponse, void *pUser);
	//б
	int InsertDevToList(LONG index, IPC_ENTRY_AJ*pResponse);
	//AlarmбAlarm
	int InsertAlarmToList(CDeviceBase* pDevice, char* pResponse);
	//
	void DevceVoiceTalk(CDeviceBase* pDevice, StateEventParam* pParam);
public:
	int InsertDeviceToTree(CDeviceBase* pDevice);
	int SelWndChange();
	CDeviceBase* GetTreeSelectDevice();
	CTreeCtrl* GetDevictTree();
private:
	CMenu	  m_treeMenu;
	CTreeCtrl m_ctrlDevTree;
	CListCtrl m_listSearch;
	CListCtrl m_listAlarm;
	CComboBox m_wndBox;
	CComboBox m_dlgListBox;
	HTREEITEM m_hDevice;
	CImageList* m_pImageList;
public:
	CPlayerManager* m_pManagePlayer;
	CDlgPtz*		m_pDlgPtz;
	CVoiceDlg*		m_pDlgVoice;
	CDlgUpgrade*	m_pDlgUpgrade;
	afx_msg void OnNMClickTreeDev(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
